

Components.utils.import("resource://gre/modules/XPCOMUtils.jsm");

const Cc = Components.classes;
const Ci = Components.interfaces;




function scClh() {};
scClh.prototype = {
	classID: Components.ID("{3CAE0595-E91E-402C-8936-4B886A7DE3FE}"),

	/* nsISupports */
	QueryInterface : XPCOMUtils.generateQI([Ci.nsICommandLineHandler,Ci.nsIObserver]),

	/* Ci.nsICommandLineHandler */
	handle : function clh_handle(pCmdLine) {
		if (pCmdLine.preventDefault) return;
		
		try {

			/*
			var vWinWatch = Cc["@mozilla.org/embedcomp/window-watcher;1"].getService(Ci.nsIWindowWatcher);
			vWinWatch.openWindow(null, "chrome://global/content/console.xul", "global:console", "chrome,dialog=no,all,resizable", {});
			*/
			

			Components.utils.import("chrome://scenariCommons/content/commons.jsm");
			Components.utils.import("chrome://scenariCommons/content/ExtPoints.jsm");
			var extPoints = ExtPoints.appExtPoints;
			extPoints.evalJs = function(pStr){return eval(pStr);};//Surcharge de la méthode evalJs pour permettre aux libs JS d'être chargées dans le contexte de la window.
			extPoints.loadExtPointsFromChromeOverlays("chrome://scenariCommons/content/appExtTarget.js");
			

			extPoints.callFunctionsFromList("event:launchApp", 3, null, [null, null, pCmdLine]);
			

			if(pCmdLine.findFlag("scenari", true)>-1){
				var vScenariUrl = pCmdLine.handleFlagWithParam("scenari", true);
				if (vScenariUrl.indexOf('scenari:') != 0) {
					if (vScenariUrl.match(/^\w+:/)) vScenariUrl = vScenariUrl.substr(vScenariUrl.indexOf(':') + 1);
					vScenariUrl = 'scenari:' + vScenariUrl;
				}
				try{
					var vReq = Cc["@mozilla.org/xmlextras/xmlhttprequest;1"].createInstance(Ci.nsIXMLHttpRequest);
					vReq.open('GET', vScenariUrl, true);
					vReq.send();
				}catch (e) {}
			}
			
		} catch (e) {
			debug("init Failed : "+e);
		}
  },
  
  helpInfo : "SCENARI"
};


var NSGetFactory = XPCOMUtils.generateNSGetFactory([scClh]);


function debug(pText){
	var vConsoleService = Cc["@mozilla.org/consoleservice;1"].getService(Ci.nsIConsoleService);
	vConsoleService.logStringMessage(pText);
}


